Subject: Re: bug#66394: 29.1; Make register-read-with-preview more useful

From: Steve Perry <[email-masked]>
Date: Tue, 12 Dec 2023 09:37:45 +0000

Thierry Volpiatto <[email-masked]> writes:
>
> ...
>
> I don't know if you want to restore previous behavior (emacs-29), if so this patch
> will apply against the previous one.
> (0001-Don-t-confirm-with-RET-even-when-overwriting-in-regi.patch).
>
> Thanks.

Hi - I'd love to give this patch a try but I can't get it to apply
against master, either with or without the other patch:

Don't Panic! ~/src/emacs $ patch -p1 < 0001-Provide-emacs-29-behavior-for-register-preview.patch 
patching file lisp/register.el
Hunk #1 FAILED at 100.
Hunk #2 succeeded at 138 (offset 1 line).
Hunk #3 succeeded at 302 (offset -41 lines).
Hunk #4 succeeded at 362 (offset -41 lines).
Hunk #5 succeeded at 433 (offset -42 lines).
1 out of 5 hunks FAILED -- saving rejects to file lisp/register.el.rej

I assume I'm doing something wrong somewhere but don't know what :-(

Many thanks!